Bug 968819 - Gnome Shell user menu doesn't offer Suspend on laptop
Gnome Shell user menu doesn't offer Suspend on laptop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 23:53 EDT by Jonas Thiem
Modified: 2017-06-20 04:49 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:58:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2013-05-29 23:53:38 EDT
Description of problem:
With Fedora 19, the gnome shell user menu now only lists "Power Off" and no Suspend option despite this machine being a laptop (worked on Fedora 17 where I came from).

Version-Release number of selected component (if applicable):
GNOME Shell 3.8.2

How reproducible:
100% (problem persistent also across reboots)

Steps to Reproduce:
1. Open user menu

Actual results:
"Power Off" entry, no suspend

Expected results:
"Suspend" entry

Additional info:
bash-4.2$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_ACAD
  native-path:          /sys/devices/LNXSYSTM:00/LNXSYBUS:00/ACPI0003:00/power_supply/ACAD
  power supply:         yes
  updated:              Thu May 30 05:46:47 2013 (230 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             yes

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path:          /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0A:00/power_supply/BAT1
  vendor:               LGC
  model:                42T4961
  serial:               5410
  power supply:         yes
  updated:              Thu May 30 05:50:23 2013 (14 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               fully-charged
    energy:              50.18 Wh
    energy-empty:        0 Wh
    energy-full:         50.87 Wh
    energy-full-design:  62.16 Wh
    energy-rate:         12.473 W
    voltage:             12.732 V
    percentage:          98.6436%
    capacity:            81.8372%
    technology:          lithium-ion

Daemon:
  daemon-version:  0.9.20
  can-suspend:     yes
  can-hibernate:   yes
  on-battery:      no
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no
bash-4.2$
Comment 1 Florian Müllner 2013-05-30 09:38:19 EDT
Assuming that suspend still works for you, this was a deliberate change in 3.6 (Fedora 18); it is still available in the menu, but hidden by default - press <alt> while the menu is open to display it. Note that for laptops, closing the lid to trigger suspension is usually the more comfortable option :-)
Comment 2 Jonas Thiem 2013-05-30 16:28:14 EDT
Ugh. Where is the hidden option to revert this back? I pretty much never use Power Off, but always suspend (and closing the lid doesn't suspend because that is pretty annoying in those cases where you don't want it to happen, and because there is the nice menu entry to do it).

Also some day gnome devs will probably realize it is wise to just show both options. Geez.
Comment 3 oliver 2013-07-23 09:21:52 EDT
Why do I have to go into Bugzilla to figure out how I suspend when using Gnome 3?  Note: I am doing this while being in Classic mode.  I don't really care how messed up the non-classic Gnome 3 thing is, but I would expect that Classic Mode has been set up for people who just want to work and not read design pamphlets to figure out how to reach basic functionality.  I apologize for being abusive on bugzilla, but sometime I have trouble containing my anger at this [insert your favorite expletive here].
Comment 4 Florian Müllner 2013-07-25 12:31:26 EDT
The general idea is that for laptops, it is much more convenient to close the lid to suspend rather than activating a corresponding action in some menu.

Then of course there's https://extensions.gnome.org/extension/5/alternative-status-menu/, which used to make the "Power Off" item available without <alt> tricks, but got updated for the new behavior to now do the same with Suspend ...
Comment 5 Jonas Thiem 2013-07-25 12:37:17 EDT
Well most people I know disable suspend through the lid (including me). So for them, that general idea is somewhat useless :p

All people disabling lid suspend will probably know gnome tweak tools. At least add an option there to revert this or show both entries!

Extensions are nice in theory, but they kinda suck in reality because on Fedora you can't use them half a year until authors update their extension version compatibility files to the newest shell version, and then a new Fedora is released (with often a new gnome shell). Since nobody thought of an override here as well (or maybe I just missed it?), it is non-trivial to enforce even simple one button extensions to work.
Comment 6 Florian Müllner 2013-07-25 13:24:38 EDT
(In reply to Jonas Thiem from comment #5)
> Extensions are nice in theory, but they kinda suck in reality because on
> Fedora you can't use them half a year until authors update their extension
> version compatibility files to the newest shell version

Uhm - please don't generalize. In particular the aforementioned extension is part of the gnome-shell-extensions repository (though not included in the set of officially supported extensions) which is updated regularly. The latest supported version in the repository is 3.9.4, which corresponds to the very latest development release; the website only deals with stable versions, but also in that case the extension is released in sync with gnome, e.g. a 3.8 compatible version has been available from day 1 of 3.8.
Comment 7 oliver 2013-07-26 03:20:24 EDT
(In reply to Florian Müllner from comment #4)
> The general idea is that for laptops, it is much more convenient to close
> the lid to suspend rather than activating a corresponding action in some
> menu.

If it works, then great, but then you don't shut down either, and there is no harm in having suspend/hibernate/restart/shutdown all available on the confirmation screen as they had been for years and not only on Linux.  

If it doesn't work, what then.  In the particular case that prompted my post, I had upgraded an old laptop to F19 and suspend stopped working.  So I was looking for the explicit option to suspend to make sure it was really suspend that was triggered by the suspend button.  It turned out it was, so broken suspend is indeed a regression on this laptop.  Now it also turns out that hibernate works.  I still have no idea how to hibernate from Gnome (fancy or classic).  In any case, I was only able to test all this after installing cinnamon as I usually do for real work anyway.

I also have a desktop computer at home (yes, some of those do still exist) with (a) broken suspend, in this case it never worked on any version of Fedora and (b) working hibernate.  So if I want to preserve state, I must hibernate.  I would not know how to do this in Gnome.

It surprises me that such cases are not coming up all the time.  And even if they don't, what's the point in removing completely standard options from dialogs which never got in anybody's way??? (Maybe a tooltip explaining the difference between suspend and hibernate would be nice, but in any case, they have been standard across operating systems even before Linux was able to do this reliably, so that's not a big deal.)
Comment 8 jakobunt 2013-09-16 19:34:23 EDT
It's also not displayed on my desktop PC. Why not? Closing the lid is actually quite uncomfortable on a desktop PC.
Comment 9 Dominique Brazziel 2013-10-24 09:35:51 EDT
I installed the gnome-alternative-status-menu package from Fedora 19 updates-testing and still don't see any difference (I still have to hold down ALT to change 'Poweroff' to 'Suspend'.  Also, the description of the package makes no mention of 'Suspend', but does mention adding the option 'Poweroff' which was already there, and the 'hibernate' option which is not there:

Name        : gnome-shell-extension-alternative-status-menu
Arch        : noarch
Version     : 3.8.4
Release     : 1.fc19
Size        : 11 k
Repo        : installed
From repo   : updates
Summary     : Power Off Item in GNOME Shell status menu
URL         : http://live.gnome.org/GnomeShell/Extensions
License     : GPLv2+
Description : This GNOME Shell extension adds a power off item in the status menu, and
            : provides the ability to hibernate.

I got the functionality I need by searching for 'alternative status menu' at
https://extensions.gnome.org/, which led me to 

https://extensions.gnome.org/extension/539/alternative-status-menu/

This is certainly outside of the normal purview of yum and installing packages,
I guess it's the new way of doing things with gnome (-shell).  I wish this was documented somewhere, i.e. Debian has NEWS items in the doc subdirectory for
packages along with both upstream and Debian specific changelogs.  This enables
one to view any post installation tasks that weren't automatically performed
in the install/upgrade and must be done to get wanted customization, etc.
Comment 10 Hin-Tak Leung 2013-10-27 19:48:52 EDT
(sigh) - this is typical gnome mentality of treating the users like idiots and removing choices on the condescending thought that giving users choices are confusing to them.

I came to the bug report because I am missing the 'hibernate now' button/menu-option (which used to be available). While suspend-on-close-lid works, it still drains battery so my laptop crashes/dies after a long suspend of more than a few hours. So when I intent to continue after more than a few hours - rather than pause for a meal or coffee/transport - I need a explicit hibernate option, which is removed in f19.

and even 'suspend now' becomes such a difficult task now, for any device without a lid, like, guess what, a normal desktop. Why does one even need to search the internet to find the alt-click magic to invoke that?
Comment 11 Hin-Tak Leung 2013-10-27 21:58:58 EDT
(In reply to Dominique Brazziel from comment #9)
> I installed the gnome-alternative-status-menu package from Fedora 19
> updates-testing and still don't see any difference...

I have that installed for a long time - but in the infinite wisedom of the gnome people, I just discovered that I also need to go into gnome-tweak-tool to switch that extension on.

Now, why do I have to spend this amount of time to find out how to make choices *re-available* to me? Sigh.
Comment 12 Florian Müllner 2013-10-28 08:22:51 EDT
(In reply to Hin-Tak Leung from comment #10)
> I need an explicit hibernate option, which is removed in f19.

There has never been a hibernate option in GNOME 3 (3.0 - 3.10), so no, it hasn't been removed in F19.
Comment 13 Hin-Tak Leung 2013-10-28 12:28:58 EDT
(In reply to Florian Müllner from comment #12)
> (In reply to Hin-Tak Leung from comment #10)
> > I need an explicit hibernate option, which is removed in f19.
> 
> There has never been a hibernate option in GNOME 3 (3.0 - 3.10), so no, it
> hasn't been removed in F19.

I am on the same hardware since 2008 - it seems to be fc8 according to /var/log/Xorg.setup.log ; and was running fallback mode in f18, and a slightly
modified classic now - to add *back* a few missing applets removed in the fallback->classic transition, like sysmon/cpu-temperature.

Vanilla gnome 3 crashes at launch. Don't get me started on that. :-(.
Comment 14 Marius Andreiana 2013-11-18 06:55:04 EST
Still no Suspend option by default in FC20. 

And cannot turn off Accessibility icon (how about that being hidden by default?)

Really doesn't make sense.
Comment 15 Florian Müllner 2013-11-18 10:41:54 EST
(In reply to Marius Andreiana from comment #14)
> And cannot turn off Accessibility icon (how about that being hidden by
> default?)

Since 3.8 (F19) it is only shown when at least one a11y option has been enabled in Settings.
Comment 16 Hobson Lane 2013-11-23 17:47:00 EST
(In reply to Florian Müllner from comment #15)
> (In reply to Marius Andreiana from comment #14)
> > And cannot turn off Accessibility icon (how about that being hidden by
> > default?)
> 
> Since 3.8 (F19) it is only shown when at least one a11y option has been
> enabled in Settings.

"ally option?" 
I can't find any Setting that turns my suspend menu item back on.
Comment 17 Florian Müllner 2013-11-26 08:47:00 EST
(In reply to Hobson Lane from comment #16)
> "ally option?" 
> I can't find any Setting that turns my suspend menu item back on.

This was a reply to the quoted comment, e.g. the claim that the accessibility icon cannot be turned off.
Comment 18 Robert O'Callahan 2013-12-04 15:13:21 EST
(In reply to jakobunt from comment #8)
> It's also not displayed on my desktop PC. Why not? Closing the lid is
> actually quite uncomfortable on a desktop PC.

This. Is there any rationale at all for hiding the Suspend option on a desktop PC?
Comment 19 Herald van der Breggen 2013-12-20 06:17:06 EST
Just upgraded to fedora 20. I used to have the suspend option in the menu, but now it is gone. I have no clue about how to add the suspend option again, since it looks like the alternate-status-menu extension is gone.

For now I run pm-suspend as root to suspend, which is far from ideal.

Any better option?

BTW: when I connect an external monitor to my laptop, the close-lid event does not trigger a suspend, which makes sense to me, but does not leave me a convenient way to bring the laptop in suspend mode.
Comment 20 Chris Li 2013-12-30 18:02:38 EST
Same here. Just upgrade to fedora 20 and find out
the suspend option is missing.

I am using a desktop, so there is no lid to close.
Comment 21 Ralf Spenneberg 2014-01-09 12:50:44 EST
The Alt-Options still works in F20. Alternativly 
systemctl suspend
will suspend. I'd rather have the button directly available, though.
My laptop is often located in the docking station and the lid is closed by default.
Comment 22 Herald van der Breggen 2014-01-10 06:21:20 EST
Ah yes, "systemctl suspend" can be executed without root privileges. I created a key shortcut to for that, which make it even more convenient than selecting suspend in the menu. Thanks for the tip, very helpful.

It would be handy if "suspend" was a standard shortcut.
Comment 23 Aurelijus 2014-01-17 03:05:44 EST
Fresh install of F20. systemctl suspend works but there is no option to suspend in power menu. Pressing Alt key does not reveal anything.
Comment 24 Ralf Spenneberg 2014-01-17 03:20:05 EST
Are you sure?
I do have a fresh install of F20 as well. 
Pressing the ALT-Button while the Power-Menu is open reveals the Suspend Button in place of the PowerOff Button.
Comment 25 Aurelijus 2014-01-17 03:55:22 EST
Yes, I tried it multiple times just to be sure. Tried other keys, tried keys on usb keyboard and on laptop keyboard. Actually same happens on Sabayon with Gnome 3.10.
Alternative Status Menu (https://extensions.gnome.org/extension/539/alternative-status-menu/) extension not working - maybe its not compatible with 3.10.
What else could I try?
Comment 26 Ralf Spenneberg 2014-01-17 04:22:25 EST
Unfortunately then I can't help you. 
Did you try it without the extension? I only have the following extensions installed:

gnome-shell-extension-common-3.10.1-1.fc20.noarch
gnome-shell-extension-user-theme-3.10.1-1.fc20.noarch
Comment 27 Herald van der Breggen 2014-01-17 06:10:33 EST
Both gnome shell extensions are installed, but I can't find a suspend menu item. Where do you see such a menu item?

(In reply to Ralf Spenneberg from comment #26)
> Unfortunately then I can't help you. 
> Did you try it without the extension? I only have the following extensions
> installed:
> 
> gnome-shell-extension-common-3.10.1-1.fc20.noarch
> gnome-shell-extension-user-theme-3.10.1-1.fc20.noarch
Comment 28 Herald van der Breggen 2014-01-17 06:22:34 EST
(In reply to Ralf Spenneberg from comment #24)
> Are you sure?
> I do have a fresh install of F20 as well. 
> Pressing the ALT-Button while the Power-Menu is open reveals the Suspend
> Button in place of the PowerOff Button.

Great, that works for me! Did not know this "hidden" feature.
Comment 29 Aurelijus 2014-01-23 14:42:11 EST
Well now I feel stupid and angry :D

I thought that you must press alt key after you get power popup (open menu in the corner, press power button and then you get power popup with buttons 'Cancel', 'Restart' and 'Power off').

But you must press alt key in the dropdown menu in the corner. It has more stuff so I would not call it power menu :) Good luck to other guys like me.

Extremely well hidden feature :D
Comment 30 Florian Müllner 2014-01-24 07:20:34 EST
(In reply to Aurelijus from comment #29)
> Extremely well hidden feature :D

Officially documented[0] though - if you think the wording is not clear enough, the GNOME documentation team will be happy for suggestions ...

[0] https://help.gnome.org/users/gnome-help/stable/shell-exit.html.en
Comment 31 Aurelijus 2014-01-24 07:29:13 EST
Actually in documentation it is explained really good.
The problem is 1. I never thought of checking official documentation for what I thought is bug 2. This is the first time I saw this link in bug reports and forums.

So while it is true that is my problem that I could not find this information I think there will be more people making same mistake.
Comment 32 Florian Müllner 2014-01-24 09:38:30 EST
(In reply to Aurelijus from comment #31)
> 2. This is the first time I saw this link in bug reports and forums.

I should add that the link points to the online version of the desktop help which is installed by default :-)
Comment 33 Robert O'Callahan 2014-01-24 15:37:07 EST
I filed bug 1057783 for the same issue on desktops.
Comment 34 Steeve McCauley 2014-11-14 22:18:26 EST
Yet another ridiculous feature obfuscation (and I'm actually a fan of the gnome shell). I have remedied this omission in gnome-shell 3.12.2 with this extension https://extensions.gnome.org/extension/826/suspend-button/
Comment 35 Fedora End Of Life 2015-05-29 05:05:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 36 Fedora End Of Life 2015-06-29 07:58:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.